Subject: Re: [PATCH 1/5] wil6210: Convert to Kbuild

From: Michal Marek <[email-masked]>
Date: Thu, 10 Apr 2014 13:06:11 +0200

On 2014-04-10 12:23, Vladimir Kondratiev wrote:
> On Thursday, April 10, 2014 10:22:47 AM Michal Marek wrote:
>> Kbuild is a slightly better choice because it better describes the
>> content, but I don't think its needed to rename existing Makefiles just
>> because of that. Kbuild is needed in the toplevel directory or in
>> arch/*/, where Makefile has a different special meaning. The out of tree
>> build use case can be solved by a GNUmakefile.
>>
> 
> Originally, I followed the code found at
> drivers/scsi/osd/
> They have Kbuild for in-kernel use and Makefile for out-of-tree
> 
> But now I found, Documentation/kbuild/makefiles.txt says:
> ---cut---
> The preferred name for the kbuild files are 'Makefile' but 'Kbuild' can
> be used and if both a 'Makefile' and a 'Kbuild' file exists, then the 'Kbuild'
> file will be used.
> ---cut---
> 
> Accordingly to this, would you say I should drop this patch and go with
> GNUmakefile + Makefile for internal development? I am pretty neutral with
> this, just need to know what is the proper way.

It's up to you, since it's your driver :). But the trick with
GNUmakefile works with the driver as-is as well as any other driver, so
it might be easier just to use that.

Michal